<%
'***********************************************************************************************
'*    Real Estate Agent Website Config File                                                   '*
'*    Please visit http://www.real-estate-website.org for updates and support                 '*
'*    This software is licensed under the terms of the GPL, please see readme for details.    '*
'***********************************************************************************************
dim settingsRS, settingsSQL, data, recordcount, Cirecfirst, Cireclast, Z, id, homepage_text, site_url, site_title, site_title_color, site_slogan, site_slogan_color, email_server, support_email, show_city_list, site_color, site_bgcolor, site_font, site_keywords, configid, menucolor, menutitlecolor

'Site Setup
Set settingsRS = Server.CreateObject("ADODB.RecordSet")
settingsSQL = "Select ID,homepage_text,site_url,site_title,site_title_color,site_slogan,site_slogan_color,email_server,support_email,show_city_list,site_color,site_font,site_keywords from tblSettings;"
'Response.Write settingsSQL
'response.end
settingsRS.Open settingsSQL, whtConn, 1,3

recordcount = settingsRS.recordcount
if recordcount > 0 then
	data = settingsRS.GetRows()
	'Data is retrieved so close all connections
	'Setup for array usage
	CiRecFirst   = LBound(data, 2)
	CiRecLast    = UBound(data, 2)
else
	response.write ("<p>Please setup your site first</p>")
	settingsRS.close
	set settingsRS = nothing
	closewht
	response.end
end if

settingsRS.close
set settingsRS = nothing
'*******

For Z = CiRecFirst To CiRecLast
	configid = data(0,Z)
	homepage_text = data(1,Z)
	site_url = data(2,Z)
	site_title = data(3,Z)
	site_title_color = data(4,Z)
	site_slogan = data(5,Z)
	site_slogan_color = data(6,Z)
	email_server = data(7,Z)
	support_email  = data(8,Z)
	show_city_list = data(9,Z)
	site_color = data(10,Z)
	site_font = data(11,Z)
	site_keywords =  data(12,Z)
Next 'Z
'response.write "site color = " & show_city_list

'**********************************************************************************************
%>
<style type="text/css">
	   A: {
	   	text-decoration: none;
	   }
	   
	   A:link {
	   	text-decoration: none;
	   }
	   A:active {
	   	text-decoration: none;
	   }
	   A:visited {
	   	text-decoration: none;
	   }
	   BODY {
	   	font-family: <%=site_font%>;
	   }
	   Table{
	   	font-family: <%=site_font%>;
	   }
	   .headline
	   {
	   	color: <%=site_title_color%>;
	   	font-size: x-large;
	   	text-indent : 45px;
	   }
   	   	.menu {
   		color: <%=menucolor%>;
   		font-size: small;
	   	}
	   	.menutitle {
	   	color: <%=menutitlecolor%>;
	   	font-size: small;
	   	}
	   .rowheader
	   {
	   background-color: lightyellow;
	   }

	   li {
	   	text-indent : 4px;
	   	font-size : small;
	   }
	   .indent {
	   	text-indent : 15px;
	   }
	   .margin1 {
	   	margin-left : 15x;
	   }
	   
	   .indent2 {
	   	text-indent : 30px;
	   }

	   .lpad {
	   	padding-left : 15px;
	   }
	   
	   .TDwhite{
	   	color : white;
	   }
	   .cssBorder {
	   	BORDER-BOTTOM: black 1px solid;
	   	BORDER-LEFT: black 1px solid;
	   	BORDER-RIGHT: black 1px solid;
	   	BORDER-TOP: black 1px solid;
	   	PADDING-LEFT: 2px;
	   	font-family : <%=site_font%>;
	   }
	   .head2 {
	   	color: navy;
	   	font-size : medium;
	   }
	   .smallbold {
	   	font-size: smaller;
	   	font-weight : bold;
	   }
	   .whitelink {
	   	background-color: white;
	   	color: red;
	   	font-weight : normal;
	   }
	   .locationText
	   {
	   	FONT-SIZE: 8pt;
	   	COLOR: black;
	   	FONT-FAMILY: <%=site_font%>;
	   }
	   .setwidth400
	   {
	   	width : 500px;
	   }
	   .setwidth600
	   {
	   	width : 500px;
	   }
	   .smalltext{
	   	font-size : smaller;
	   }
	   .center{
	   	text-align : center;
	   }
	   
</style>
<%
'***********************************************************************************************


sub closewht
	If IsObject(whtconn) then
		 whtconn.close
		 Set whtconn = nothing
	End if
end sub

sub citylist()
	dim sql, cityrs, recordcount, irecfirst, ireclast, data, citylist, cities
	sql = "select cid, city from tblcity where active <> 1 order by city desc;"
	Set cityrs = Server.CreateObject("ADODB.RecordSet")
	cityrs.open sql, whtconn, 1, 3
	recordcount = cityrs.recordcount
	if recordcount > 0 then
		 data = cityrs.GetRows()
	 	'Setup for array usage
	  	iRecFirst = LBound(data, 2)
	  	iRecLast = UBound(data, 2)
	End if
		cityrs.close
		set cityrs = nothing
	if recordcount > 0 then
		'response.write "<ul>"
		For I = iRecFirst To iRecLast
				id = data(0,I)
				name = data(1,I)
				cities = "<a href=""location.asp?name=" & server.URLEncode(name) & "&location=" & id & """>" & name & "</a><br>" & cities
		Next ' I
		response.write cities
	else
		Response.write("<p>No Data Found.</p>")
	end if
end sub

Function IsEmail(sCheckEmail)
    Dim sEmail, nAtLoc
    IsEmail = True
    sEmail = Trim(sCheckEmail)
    nAtLoc = InStr(1, sEmail, "@") 'Location of "@"

    If Not (nAtLoc > 1 And (InStrRev(sEmail, ".") > nAtLoc + 1)) Then
        '"@" must exist, and last "." in string must follow the "@"
        IsEmail = False
    ElseIf InStr(nAtLoc + 1, sEmail, "@") > nAtLoc Then
        'String can't have more than one "@"
        IsEmail = False
    ElseIf Mid(sEmail, nAtLoc + 1, 1) = "." Then
        'String can't have "." immediately following "@"
        IsEmail = False
    ElseIf InStr(1, Right(sEmail, 2), ".") > 0 Then
        'String must have at least a two-character top-level domain.
        IsEmail = False
    End If
End Function
%>